require 'tatami'

# creates db on localhost
db = Tatami::Couch.new 'people'

# delete and create
db.blank!

# create a doc
db.doc_new "my_id",name: 'frank', age: 31

# create a coffeescript view
view = db.view('people').create "(doc)-> emit doc.name, doc.age", "(k,v,r)-> sum(v)"

view.data(reduce: false)
# {
#     "total_rows" => 1,
#         "offset" => 0,
#           "rows" => [
#         [0] {
#                "id" => "my_id",
#               "key" => "frank",
#             "value" => 31
#         }
#     ]
# }

view.key_values(reduce: false) #> [['frank',31]]

view.reduced # => 31
