require 'minitest/autorun'
require 'tatami/flot'
require 'yaml'
require 'awesome_print'

module Tatami
  class Flot
    def load_fixtures
      YAML.load_file('test/fixtures/flot.yml').each do |time, typ_data|
        typ_data.each do |typ,data|
          record_node_prop typ, data, time
        end
      end
    end
  end

  describe Flot do

    let(:flot){ Flot.new 'flot', 'http://localhost:5984' }#,log: true
    let(:typ12) {flot.couch.view('typ12')}
    i_suck_and_my_tests_are_order_dependent!

    it{
      flot.couch.blank!.load_design
      flot.load_fixtures
     }

    it 'count' do
      count = flot.couch.view('count')
      count.data.get(:rows,0,:value).must_equal 10
      count.data(group: true)[:rows].count.must_equal 6
    end

    it "typ12" do
      typ12.data( singlekey: [:server])[:rows].count.must_equal 8
      typ12.data( singlekey: [:server,:MAIL01])[:rows].count.must_equal 4
      typ12.data( singlekey: [:server,:MAIL01,:free])[:rows].count.must_equal 2
    end

    it 'list' do
      typ12.data(list: 'iter', singlekey: ['server','MAIL01','free'],format: :string).must_match /^(,\[\d+,\d+\])+$/ # ,[12,14]
    end

  end
end
