require 'tatami'
require 'awesome_print'
require 'minitest/autorun'
module Tatami
  describe Couch do
    let(:couch){ Couch.new 'cars' }

    it '#test' do
      couch.with_documents! a: 1
      simple = couch.view('simple')
      simple.key_values(reduce: false).must_equal [["a", 1], ["b", 1]]
      simple.reduced.must_equal 2
    end

    it '#first_of_group' do
      couch.with_documents!( {date: "wed",count:2},
                             {date: "wed",count:3},
                             {date: "fri",count:4})
      first_of_group = couch.view('first_of_group')
      first_of_group.key_values(reduce: false).must_equal \
          [['fri',4], ['wed',2],['wed',3],]
      first_of_group.reduce(group: true).must_equal \
          "fri" => 4, "wed" => 3
    end

    it "perf" do
      docs = [{}] * 2
      couch.with_documents!( *docs )
      perf = couch.view('perf')
      perf.reduced.must_equal 2
    end

    describe "erlang views" do
      it "simple" do
        couch.with_documents! a: 42
        serl = couch.view('erlang/simple')
        serl.key_values(reduce: false).must_equal [[1,42]]
      end
    end

  end
end
